Subject: Re: DLL - Interface

From: [email-masked] (Uwe Lesta)
Date: Sun, 29 Aug 1999 00:32:23 +0200

Aparecido Valdemir de Freitas schrieb:
> 
> Hello,
> 
> I am trying to generate the DLL example included at directory
> src\win32\foreign. The name of the file that I am testing is DLLTEST.C.
> 
> I am using, Windows 98 and MS-VC++6.0.
> 
> The compile process was OK!
> Compiling...
> dlltest.c
> dlltest.obj - 0 error(s), 0 warning(s)
> 
> But, at the building ocurred the message:
> 
> Linking...
> LINK : fatal error LNK1104: cannot open file "..\..\..\lib\libplD.lib"
> Error executing link.exe.

the D at the end of the file name indicates that the project was
compiled in DEBUG mode.

So you have to change your project configuration to "Release" and 
(
    change the linked librarys in your settings (Alt + F7)
    to "swi_home_dir"\bin\libpl.lib "swi_home_dir"\bin\console.lib ...
OR
    compile the sources in the src directory workspace pl.dsw
).

Don´t forget to set the swi environment variabels

> The file .dsp (MS-VC++ 5.0) was correctly handled by MS-VC++6.0.

yes 

-- 

Regards

Uwe
[email-masked]